Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.remote
Class WsResourceClient

    java.lang.Object
      org.apache.muse.core.AbstractResourceClient
          org.apache.muse.ws.resource.remote.WsResourceClient

All Implemented Interfaces:
  SoapMonitor

Direct Known Subclasses:
  MetricsClient, NotificationConsumerClient, NotificationProducerClient, RelationshipsClient, ServiceGroupClient, SubscriptionClient

public class WsResourceClient
extends AbstractResourceClient

WsResourceClient is a web service client that allows users to invoke standard WSRF operations without writing any XML plumbing code. This class includes all of the operations from WSRF, but this does not mean that all Muse resource types implement all WSRF operations; rather, it is more convenient to have one client class since all WSRF operations are defined as separate capabilities (which would result in one client per operation); if users need more detailed information about what operations are supported by a resource, they can use the WS-MetadataExchange client in combination with the Muse ResourceInspector tool.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`WsResourceClient(EndpointReference destination)`
`WsResourceClient(EndpointReference destination, EndpointReference source)`
`WsResourceClient(EndpointReference destination, EndpointReference source, Environment environment)`
`WsResourceClient(EndpointReference destination, EndpointReference source, SoapClient soapClient)`

Method Summary
`void` | `deleteResourceProperty(QName qname)`
`void` | `destroy()`
`org.w3c.dom.Element[]` | `getMultipleResourceProperties(QName[] qnames)`
`java.lang.Object` | `getPropertyAsObject(QName qname, java.lang.Class type)` This is a convenience method that calls getResourceProperty() and then parses the XML results into POJOs of the given type using the Muse serializer framework.
`org.w3c.dom.Element[]` | `getResourceProperty(QName qname)`
`org.w3c.dom.Element` | `getResourcePropertyDocument()`
`void` | `insertResourceProperty(QName qname, java.lang.Object[] values)`
`org.w3c.dom.Element` | `putResourcePropertyDocument(org.w3c.dom.Element wsrpDoc)`
`org.w3c.dom.Node[]` | `queryResourceProperties(java.lang.String query, java.lang.String dialect)`
`void` | `setResourceProperties(SetRequest request)`
`java.util.Date` | `setTerminationTime(java.util.Date time)`
`void` | `updateResourceProperty(QName qname, java.lang.Object[] values)`

Methods inherited from class org.apache.muse.core.AbstractResourceClient
`getDestination, getEndpointReference, getSoapClient, getSoapMonitorPort, getSource, getTraceWriter, invoke, invoke, invoke, invoke, isUsingSoapMonitor, isUsingTrace, setTrace, setTraceWriter, startSoapMonitor, stopSoapMonitor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsResourceClient

    public WsResourceClient(EndpointReference destination)

### WsResourceClient

    public WsResourceClient(EndpointReference destination,
                            EndpointReference source)

### WsResourceClient

    public WsResourceClient(EndpointReference destination,
                            EndpointReference source,
                            Environment environment)

### WsResourceClient

    public WsResourceClient(EndpointReference destination,
                            EndpointReference source,
                            SoapClient soapClient)

Method Detail

### deleteResourceProperty

    public void deleteResourceProperty(QName qname)
                                throws SoapFault

  Throws:
    `SoapFault`

### destroy

    public void destroy()
                 throws SoapFault

  Throws:
    `SoapFault`

### getMultipleResourceProperties

    public org.w3c.dom.Element[] getMultipleResourceProperties(QName[] qnames)
                                                        throws SoapFault

  Throws:
    `SoapFault`

### getPropertyAsObject

    public java.lang.Object getPropertyAsObject(QName qname,
                                                java.lang.Class type)
                                         throws SoapFault

  This is a convenience method that calls getResourceProperty() and then parses the XML results into POJOs of the given type using the Muse serializer framework.

  Throws:
    `SoapFault`

### getResourceProperty

    public org.w3c.dom.Element[] getResourceProperty(QName qname)
                                              throws SoapFault

  Throws:
    `SoapFault`

### getResourcePropertyDocument

    public org.w3c.dom.Element getResourcePropertyDocument()
                                                    throws SoapFault

  Throws:
    `SoapFault`

### insertResourceProperty

    public void insertResourceProperty(QName qname,
                                       java.lang.Object[] values)
                                throws SoapFault

  Throws:
    `SoapFault`

### putResourcePropertyDocument

    public org.w3c.dom.Element putResourcePropertyDocument(org.w3c.dom.Element wsrpDoc)
                                                    throws SoapFault

  Throws:
    `SoapFault`

### queryResourceProperties

    public org.w3c.dom.Node[] queryResourceProperties(java.lang.String query,
                                                      java.lang.String dialect)
                                               throws SoapFault

  Throws:
    `SoapFault`

### setResourceProperties

    public void setResourceProperties(SetRequest request)
                               throws SoapFault

  Throws:
    `SoapFault`

### setTerminationTime

    public java.util.Date setTerminationTime(java.util.Date time)
                                      throws SoapFault

  Throws:
    `SoapFault`

### updateResourceProperty

    public void updateResourceProperty(QName qname,
                                       java.lang.Object[] values)
                                throws SoapFault

  Throws:
    `SoapFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD